API e desenvolvedores

List messages of a conversation

get/v1/conversations/{conversation_id}/messages

Retrieve the messages of a conversation, newest page first.

Reading messages through the public API never marks them as read.

Exemplo

curl -X GET "https://api.ya.onl/v1/conversations/{conversation_id}/messages" \
  -H "X-API-Key: yv_live_v1_…"

Parâmetros

conversation_idstringpathobrigatório

Unique conversation identifier

pageintegerquerypadrão: 1

Page number (1-indexed)

limitintegerquerypadrão: 25

Number of items per page (max 100)

Respostas

200
Successful Response
401
Invalid or missing API key
403
API key lacks the conversations:read scope
404
Conversation not found
422
Validation Error
429
Rate limit exceeded
Precisa de ajuda?